# $Revision: 1.15 $, $Date: 2008/07/17 19:18:08 $
Summary:	The Universal Plug and Play (UPnP) SDK for Linux
Summary(pl.UTF-8):	Pakiet programistyczny Universal Plug and Play (UPnP) dla Linuksa
Name:		libupnp
Version:	1.6.6
Release:	1
License:	BSD
Group:		Libraries
Source0:	http://dl.sourceforge.net/pupnp/%{name}-%{version}.tar.bz2
# Source0-md5:	8918dcf7428cd119d0c8275765ff2833
Patch0:		%{name}-opt.patch
URL:		http://pupnp.sourceforge.net/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.8
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Linux SDK for UPnP Devices (libupnp) provides developers with an
API and open source code for building control points, devices, and
bridges that are compliant with Version 1.0 of the Universal Plug and
Play Device Architecture Specification.

%description -l pl.UTF-8
Linuksowy pakiet programistyczny dla urządzeń UPnP (libupnp) dostarcza
programistom API i kod z otwartymi źródłami służące do tworzenia
punktów kontrolnych, urządzeń i mostków kompatybilnych z wersją 1.0
specyfikacji architektury urządzeń Universal Plug and Play.

%package devel
Summary:	Header files for libupnp
Summary(pl.UTF-8):	Pliki nagłówkowe libupnp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files for the Linux SDK for UPnP Devices
(libupnp).

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe dla linuksowego pakietu
programistycznego do urządzeń UPnP (libupnp).

%package static
Summary:	Static upnp libraries
Summary(pl.UTF-8):	Statyczne biblioteki upnp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static upnp libraries.

%description static -l pl.UTF-8
Statyczne biblioteki upnp.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog LICENSE NEWS README TODO
%attr(755,root,root) %{_libdir}/libixml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libixml.so.2
%attr(755,root,root) %{_libdir}/libthreadutil.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthreadutil.so.2
%attr(755,root,root) %{_libdir}/libupnp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libupnp.so.3

%files devel
%defattr(644,root,root,755)
%doc docs/dist/*.pdf
%attr(755,root,root) %{_libdir}/libixml.so
%attr(755,root,root) %{_libdir}/libthreadutil.so
%attr(755,root,root) %{_libdir}/libupnp.so
%{_libdir}/libixml.la
%{_libdir}/libthreadutil.la
%{_libdir}/libupnp.la
%{_includedir}/upnp
%{_pkgconfigdir}/libupnp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libixml.a
%{_libdir}/libthreadutil.a
%{_libdir}/libupnp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libupnp.spec,v $
Revision 1.15  2008/07/17 19:18:08  qboosh
- updated to 1.6.6
- updated opt patch

Revision 1.14  2008/04/04 20:31:38  sls
- removed m4.patch
- rel. 1

Revision 1.13  2008-04-04 20:27:37  sls
- ver. 1.6.5
- URL update

Revision 1.12  2008-01-04 01:53:57  zbyniu
- up to 1.6.3

Revision 1.11  2007-12-15 14:08:50  qboosh
- updated to 1.6.2
- updated opt patch is back, added missing m4 patch

Revision 1.10  2007-12-02 21:46:18  aredridel
- 1.6.1

Revision 1.9  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:05  baggins
- converted to UTF-8

Revision 1.7  2006/07/22 10:02:58  qboosh
- updated to 1.3.1, added opt patch

Revision 1.6  2004/09/01 11:49:24  snurf
- typos / formatting / etc.

Revision 1.5  2004/03/15 13:17:05  jajcus
- debug build fixed
- version number removed from libupnp library filename (it is not included in the soname)

Revision 1.4  2004/03/10 17:42:16  qboosh
- pl, simplified build

Revision 1.3  2004/03/10 13:25:38  jajcus
- MD5 sum

Revision 1.2  2004/03/10 13:24:45  jajcus
- missing includes added

Revision 1.1  2004/03/10 13:08:20  jajcus
- new spec
